#!/bin/sh
echo 'name: crypto-pubkey
version: 0.1.2
id: crypto-pubkey-0.1.2-291e933b19af8406a0fef9e79352759e

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-crypto-pubkey
package-url:
synopsis: Public Key cryptography
description: Public Key cryptography
             .
             Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
             .
             Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15
                 Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
                 Crypto.PubKey.DSA Crypto.PubKey.DH Crypto.PubKey.HashDescr
                 Crypto.PubKey.MaskGenFunction
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/crypto-pubkey-0.1.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/crypto-pubkey-0.1.2
              /usr/local/lib
hs-libraries: HScrypto-pubkey-0.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         crypto-numbers-0.1.3-c6eb4195217260278d69323662a96893
         crypto-pubkey-types-0.2.0-a44dd2f704bd4a5a52ec77a884d17656
         crypto-random-api-0.2.0-05bdaebfa20d2820cb397a4dc59104db
         cryptohash-0.8.3-170de5540f6d01bfc98e9e3ea9e47ba2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/crypto-pubkey-0.1.2/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/crypto-pubkey-0.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
